Package com.macrofocus.high_d.scatterplotmatrix.javafx

# Class JavaFXScatterPlotMatrixView<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
com.macrofocus.high_d.scatterplotmatrix.javafx.JavaFXScatterPlotMatrixView<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `com.macrofocus.crossplatform.CPInteractiveComponent<javafx.scene.Node>`, `ScatterPlotMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

public class JavaFXScatterPlotMatrixView<Row,Column> extends AbstractScatterPlotMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
Created by luc on 25/04/16.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.scatterplotmatrix.ScatterPlotMatrixView

  `ScatterPlotMatrixView.PropertyType`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixView

  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXScatterPlotMatrixView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `protected com.macrofocus.crossplatform.CPComponent<? extends javafx.scene.Node>`
  `createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `Object`
  `getClosestRow(int x, int y)`
  `com.macrofocus.crossplatform.CPComponent<? extends javafx.scene.Node>`
  `getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `int`
  `getHeight()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `List<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  `protected ScatterPlotMatrixComponent`
  `getScatterPlotMatrixComponent()`
  `int`
  `getWidth()`
  `protected void`
  `refresh()`
  `void`
  `removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixView

  `createOverplots, getAntialiasing, getColorTheme, getModel, getRendering, getRubberBand, getShowFiltered, getShowTiming, isSelectionMode, setAntialiasing, setColorTheme, setModel, setRendering, setSelectionMode, setShowFiltered`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXScatterPlotMatrixView

    public JavaFXScatterPlotMatrixView()

- ## Method Details

  - ### getHeader

    public com.macrofocus.crossplatform.CPComponent<? extends javafx.scene.Node> getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### createAxisHeaderView

    protected com.macrofocus.crossplatform.CPComponent<? extends javafx.scene.Node> createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractScatterPlotMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### getScatterPlotMatrixComponent

    protected ScatterPlotMatrixComponent getScatterPlotMatrixComponent()
    Specified by:
      `getScatterPlotMatrixComponent` in class `AbstractScatterPlotMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### getClosestRow

    public Object getClosestRow(int x, int y)

  - ### getRows

    public List<Row> getRows(com.macrofocus.geom.Rectangle2D rect)

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### addMouseListener

    public void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    public void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### removeMouseListener

    public void removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### removeMouseMotionListener

    public void removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()